Package org.opensaml.xmlsec.signature

# Interface KeyInfo

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `OriginatorKeyInfo`, `RecipientKeyInfo`

All Known Implementing Classes:
  `KeyInfoImpl`, `OriginatorKeyInfoImpl`, `RecipientKeyInfoImpl`

public interface KeyInfo extends XMLObject
XMLObject representing XML Digital Signature, version 20020212, KeyInfo element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
Id attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AgreementMethod>`
`getAgreementMethods()`
Get the list of AgreementMethod child elements.
`List<DEREncodedKeyValue>`
`getDEREncodedKeyValues()`
Get the list of DEREncodedKeyValue child elements.
`List<EncryptedKey>`
`getEncryptedKeys()`
Get the list of EncryptedKey child elements Note: EncryptedKey is actually defined in the XML Encryption schema, and is not explicitly defined in the KeyInfoType content model, but for convenience this named getter method is exposed.
`String`
`getID()`
Get the Id attribute value.
`List<KeyInfoReference>`
`getKeyInfoReferences()`
Get the list of KeyInfoReference child elements.
`List<KeyName>`
`getKeyNames()`
Get the list of KeyName child elements.
`List<KeyValue>`
`getKeyValues()`
Get the list of KeyValue child elements.
`List<MgmtData>`
`getMgmtDatas()`
Get the list of MgmtData child elements.
`List<PGPData>`
`getPGPDatas()`
Get the list of PGPData child elements.
`List<RetrievalMethod>`
`getRetrievalMethods()`
Get the list of RetrievalMethod child elements.
`List<SPKIData>`
`getSPKIDatas()`
Get the list of SPKIData child elements.
`List<X509Data>`
`getX509Datas()`
Get the list of X509Data child elements.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all XMLObject children.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of XMLObject children whose type or element QName matches the specified QName.
`void`
`setID(String newID)`
Set the Id attribute value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Id attribute name.

See Also:
  - Constant Field Values

## Method Details

### getID

@Nullable String getID()
Get the Id attribute value.

Returns:
  the Id attribute value

### setID

void setID(@Nullable String newID)
Set the Id attribute value.

Parameters:
  `newID` - the new Id attribute value

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects()
Get the list of all XMLObject children.

Returns:
  the list of XMLObject children

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of XMLObject children whose type or element QName matches the specified QName.

Parameters:
  `typeOrName` - the QName of the desired elements
Returns:
  the matching list of XMLObject children

### getKeyNames

@Nonnull @Live List<KeyName> getKeyNames()
Get the list of KeyName child elements.

Returns:
  the list of KeyName child elements

### getKeyValues

@Nonnull @Live List<KeyValue> getKeyValues()
Get the list of KeyValue child elements.

Returns:
  the list of KeyValue child elements

### getDEREncodedKeyValues

@Nonnull @Live List<DEREncodedKeyValue> getDEREncodedKeyValues()
Get the list of DEREncodedKeyValue child elements.

Returns:
  the list of DEREncodedKeyValue child elements

### getRetrievalMethods

@Nonnull @Live List<RetrievalMethod> getRetrievalMethods()
Get the list of RetrievalMethod child elements.

Returns:
  the list of RetrievalMethod child elements

### getKeyInfoReferences

@Nonnull @Live List<KeyInfoReference> getKeyInfoReferences()
Get the list of KeyInfoReference child elements.

Returns:
  the list of KeyInfoReference child elements

### getX509Datas

@Nonnull @Live List<X509Data> getX509Datas()
Get the list of X509Data child elements.

Returns:
  the list of X509Data child elements

### getPGPDatas

@Nonnull @Live List<PGPData> getPGPDatas()
Get the list of PGPData child elements.

Returns:
  the list of PGPData child elements

### getSPKIDatas

@Nonnull @Live List<SPKIData> getSPKIDatas()
Get the list of SPKIData child elements.

Returns:
  the list of SPKIData child elements

### getMgmtDatas

@Nonnull @Live List<MgmtData> getMgmtDatas()
Get the list of MgmtData child elements.

Returns:
  the list of MgmtData child elements

### getAgreementMethods

@Nonnull @Live List<AgreementMethod> getAgreementMethods()
Get the list of AgreementMethod child elements. Note: AgreementMethod is actually defined in the XML Encryption schema, and is not explicitly defined in the KeyInfoType content model, but for convenience this named getter method is exposed.

Returns:
  the list of AgreementMethod child elements

### getEncryptedKeys

@Nonnull @Live List<EncryptedKey> getEncryptedKeys()
Get the list of EncryptedKey child elements Note: EncryptedKey is actually defined in the XML Encryption schema, and is not explicitly defined in the KeyInfoType content model, but for convenience this named getter method is exposed.

Returns:
  the list of EncryptedKey child elements